> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alphax.asia/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.alphax.asia/_mcp/server.

# List cards

GET https://public-api.alphax.com/v1/cards

Reference: https://docs.alphax.asia/api-reference/card-api/cards/list-cards

## Authentication

- `X-API-Key` header (required) — Your partner API key.

## Servers

- `https://public-api.alphax.com` (Production server, default)
- `https://public-api.demo.alphax.asia` (Staging (sandbox) server)

## Request

### Query parameters

- `page` (integer, optional)
- `limit` (integer, optional)
- `keyword` (string, optional)

### Headers

- `X-Company-Id` (string, required) — The company you are acting for (a company ULID).

## Response

### 200

OK

- `cards` (list of object, optional)
  - `id` (string, optional)
  - `brand` (string, optional)
  - `last4` (string, optional)
  - `name` (string, optional)
  - `type` (enum, optional)
    - Allowed values: `employee`, `company`
  - `status` (string, optional)
  - `cardholder` (object, optional)
    - `name` (string, optional)
    - `email` (string, optional)
  - `createdAt` (datetime, optional)

## Examples

**Response**

```json
{
  "cards": [
    {
      "id": "01KZ2CARDULID",
      "brand": "VISA",
      "last4": "4242",
      "name": "Marketing Card",
      "type": "company",
      "status": "Active",
      "cardholder": {
        "name": "John Holder",
        "email": "john@acme.example"
      },
      "createdAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://public-api.alphax.com/v1/cards"

headers = {
    "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
    "X-API-Key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://public-api.alphax.com/v1/cards';
const options = {
  method: 'GET',
  headers: {'X-Company-Id': '01KZ2WJKWVFPCVAB6MY106QRZV', 'X-API-Key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://public-api.alphax.com/v1/cards"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://public-api.alphax.com/v1/cards")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Company-Id"] = '01KZ2WJKWVFPCVAB6MY106QRZV'
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://public-api.alphax.com/v1/cards")
  .header("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://public-api.alphax.com/v1/cards', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
    'X-Company-Id' => '01KZ2WJKWVFPCVAB6MY106QRZV',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://public-api.alphax.com/v1/cards");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV");
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
  "X-API-Key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://public-api.alphax.com/v1/cards")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```